×
Kunena 5.1.18 Released (30 Jun 2020)

The Kunena team has announce the arrival of Kunena 5.1.18 [K 5.1.18] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.

× Topics that are moved into this category are generally considered to be closed. Users may want to add additional information but these topics should not be resurrected in order to discuss new problems or unrelated matters.

Solved Upgrading from 2.0.4 with automatic updates

More
6 years 9 months ago #21 by sozzled
This site is on a WAMP/MAMP/XAMPP server, yes or no?

Please Log in or Create an account to join the conversation.

More
6 years 9 months ago #22 by rodfarrell
The site I'm working on now is. The live site suffered the same problems so I'm working on the backup on a WAMP server until we can solve it.

Please Log in or Create an account to join the conversation.

More
6 years 9 months ago #23 by sozzled
We have a general policy in relation to Support for PC-hosted websites (e.g. WAMP, XAMPP)

Without your current Kunena configuration report it makes it difficult to assess the current situation. In general terms, the best advice I can offer is to restore your site to the state it was in before you attempted to upgrade from K 2.0.4 to K 3.0.2 using the automatic upgrade method and then attempt the upgrade using the "Install by URL" method as described in the Wiki article K 2.0 Upgrade Guide .

This may or may not work in every case - although I have not any problems myself when I have used it on several dozen occasions on several different websites.

It may be that the hosting platform (whether it is locally hosted or hosted commercially) is not properly equipped to run the upgrade process. But, without knowing a lot more about the environment, it's next-to-impossible to give you better advice that what I have already written.

Please Log in or Create an account to join the conversation.

More
6 years 9 months ago #24 by rodfarrell
We've restored and retried multiple times on both the live site and the wamp server. What information do you need?

Please Log in or Create an account to join the conversation.

More
6 years 9 months ago #25 by sozzled
The original question was about the problems that people have had using the "automatic update" feature of Joomla to upgrade Kunena from K 2.0.4 to K 3.0.x and we are aware that there are problems with this method. We are also aware that, after attempting to use the "automatic update" method, this subsequently may cause problems using the recommended upgrade method as described in K 3.0 Upgrade Guide .

I have looked at this topic many times and I've spent several hours trying to give information (based on intuition and educated guesswork) because, at the end of the day, everyone's website is different, everyone may be using a different version of Joomla or they have their site hosted with an unusual or unique mix of other ingredients (e.g. MySQL, PHP version, or Apache (or some other webhosting platform) and that's just the beginning.

There are three usual ways that people can upgrade a Joomla extension using the Joomla Extension Manager
  1. Upload Package File
  2. Install from Directory
  3. Install from URL

These are not the only ways, of course, but any other method really requires advanced knowledge of how Joomla works.

The first method is reliable to the extent that some webhosting platforms often time-out and the installation fails to complete. The second method is almost guaranteed to work (but, of the three approaches, it's the most time-consuming for someone to use and it's not recommended for complete novices). The third method is the easiest (and the quickest) but, even then, if the Joomla site is already compromised in some way, that method, too, is not a sure thing.

Sometimes the Joomla "assets" table gets itself into a knot and it requires a bit of massaging to work around situations when the Extension Manager is unable to install a Joomla extension. Believe me, when I've had to dig deep into the internals of Joomla, this is not a pleasant task. It's just "one of those things" about Joomla that's not 100% reliable, unfortunately.

rodfarrell wrote:

What information do you need?

As I wrote earlier, in the absence of detailed technical information about the specific environment, my advice is largely educated guesswork. It is always difficult to start the analysis of a problem when one has little information about the problem context. It's like looking for a needle in a haystack without any real knowledge of what the haystack looks like, where (in a general sense) the haystack is located, or what is the physical composition of the needle. "Haystack" metaphors aside, it always helps if we can see the configuration report. In your case, because your site has some kind of unknown HTTP 500 Internal Server Error after you've performed the Kunena upgrade (and your whole site becomes inoperative), the configuration report of your live site running K 2.0.4 may be a good starting point.

Please Log in or Create an account to join the conversation.

More
6 years 8 months ago #26 by 4Bweb
I tried to follow your suggestions but i still have the attached error, anybody can help me?

Attachments:

Please Log in or Create an account to join the conversation.

More
6 years 8 months ago #27 by sozzled
G'day 4Bweb, and welcome to the community.

Do you have a backup of your website before you performed the "automatic Joomla update" procedure? If you have a backup, can you restore your site, please, to the way it was before this problem occurred and can you the post the configuration report of the version of Kunena you were using earlier. This would help us a lot. Thank you.
The following user(s) said Thank You: 4Bweb

Please Log in or Create an account to join the conversation.

More
6 years 8 months ago - 6 years 8 months ago #28 by 4Bweb
I did it, i attach Configuration report.

This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Disabled | Joomla! SEF: Enabled | Joomla! SEF rewrite: Disabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 40 seconds | Max execution memory: 52M | Max file upload: 10M

Kunena menu details:

Warning: Spoiler!

Joomla default template details : rt_versatility4 | author: RocketTheme, LLC | version: 1.0 | creationdate: October 21, 2011

Kunena default template details : Blue Eagle (default) | author: Kunena Team | version: 1.7.2 | creationdate: 2012-01-31

Kunena version detailed: Kunena 2.0.4 | 2013-01-18 [ Pharmacopoeia ]
| Kunena detailed configuration:

Warning: Spoiler!
| Kunena integration settings:
Warning: Spoiler!
| Joomla! detailed language files installed:
Warning: Spoiler!

Third-party components: Jomsocial 2.6_Strike_RC3

Third-party SEF components: None

Plugins: None

Modules: Kunena Latest 2.0.4

Last edit: 6 years 8 months ago by rich. Reason: Configuration report correctly added

Please Log in or Create an account to join the conversation.

More
6 years 8 months ago - 6 years 8 months ago #29 by sozzled
Thank you for your configuration report. Before we deal with the reasons why the you cannot upgrade to K 3.0, I would like to suggest that you make a few changes to your K 2.0.4 forum that may improve the chances of a successful upgrade to K 3.0.2.

  1. I suggest that you ask the JomSocial developers if there are known problems with Jomsocial 2.6_Strike_RC3. It may be better if you obtain the latest stable release of JomSocial 3.0 before proceeding further.

  2. You do not have AlphaUserPoints software installed; we suggest that you disable the Kunena - AlphaUserPoints plugin.

  3. You do not have Community Builder software installed; we suggest that you disable the Kunena - Community Builder plugin.

  4. You do not have uddeIM software installed; we suggest that you disable the Kunena - uddeIM plugin.

  5. You do not have a Kunena menu. We suggest that you read Kunena Menu issues and create a Kunena menu.

  6. You are using the Blue Eagle template designed for K 1.7.2. We suggest that you use, instead, the Blue Eagle template designed for K 2.0.4.

After making these changes, make another backup of your website and then follow the instructions given in K 3.0 Upgrade Guide (use the "Install by URL" method).

This may or may not work. I cannot give you any guarantee. At least it gives you a better basis from which to start the upgrade process again. Let us know how you go. If you cannot get the upgrade to work properly (after following the instructions I have given you), please give us your updated K 2.0.4 configuration report so that we can see what changes you have made. Good luck.
Last edit: 6 years 8 months ago by sozzled.

Please Log in or Create an account to join the conversation.

More
6 years 8 months ago #30 by 4Bweb
I did all that you told me.
I can't update Jomsocial becouse i haven't renewed Jomsocial Subscription.
Here is the report:

I have already done the backup of the site with this configuration.
This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Disabled | Joomla! SEF: Enabled | Joomla! SEF rewrite: Disabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 40 seconds | Max execution memory: 52M | Max file upload: 10M

Kunena menu details:

Warning: Spoiler!

Joomla default template details : rt_versatility4 | author: RocketTheme, LLC | version: 1.0 | creationdate: October 21, 2011

Kunena default template details : Blue Eagle 2.0 | author: Kunena Team | version: 2.0.4 | creationdate: 2013-01-18

Kunena version detailed: Kunena 2.0.4 | 2013-01-18 [ Pharmacopoeia ]
| Kunena detailed configuration:

Warning: Spoiler!
| Kunena integration settings:
Warning: Spoiler!
| Joomla! detailed language files installed:
Warning: Spoiler!

Third-party components: Jomsocial 2.6_Strike_RC3

Third-party SEF components: None

Plugins: None

Modules: Kunena Latest 2.0.4


Let me know what i can do now.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.408 seconds